package com.kyle.service.impl;

import com.kyle.exception.UserNotFoundException;
import com.kyle.mapper.UsersMapper;
import com.kyle.pojo.Users;
import com.kyle.pojo.UsersExample;
import com.kyle.service.UsersService;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.aop.ThrowsAdvice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/*
* 用户登录
* */
@Service
public class UsersServiceImpl implements UsersService {
    @Autowired
    private UsersMapper usersMapper;

    @Override
    public Users LoginUsers(Users users) {
        UsersExample usersExample = new UsersExample();
        UsersExample.Criteria criteria = usersExample.createCriteria();
        criteria.andUsernameEqualTo(users.getUsername());
        criteria.andUserpwdEqualTo(users.getUserpwd());
        List<Users> list = usersMapper.selectByExample(usersExample);
        if (list==null||list.size()<=0){
            throw new UserNotFoundException("用户名或密码有误！");
        }
        return list.get(0);
    }
}
