package com.kyle.web.controller;

import com.kyle.pojo.Users;
import com.kyle.service.UsersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpSession;
/*
* 用户登录控制器
* */
@Controller
@RequestMapping("/users")
public class UsersController {
    @Autowired
    private UsersService usersService;

    @RequestMapping("/userLogin")
    public String userLogin(Users users, HttpSession session){
        Users user = usersService.LoginUsers(users);
        session.setAttribute("user",user);
        return "redirect:/page/index";
    }

}
